Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.plugins.sonar
[Groovy] Class SonarAnalyze

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.plugins.sonar.SonarAnalyze

    class SonarAnalyze
    extends ConventionTask

Analyzes a project hierachy and writes the results to the Sonar database.

Property Summary
`SonarRootModel` | `rootModel` Entry point to Sonar configuration.

Method Summary
`void` | `analyze()`
`protected URL` | `findGradleSonarJar()`

Property Detail

### rootModel

    SonarRootModel rootModel

  Entry point to Sonar configuration.

Method Detail

### analyze

    @TaskAction
    void analyze()

### findGradleSonarJar

    protected URL findGradleSonarJar()

Gradle API 1.1-rc-1